Bug 234633 - (CVE-2007-0242) CVE-2007-0242 QT UTF8 improper character expansion
CVE-2007-0242 QT UTF8 improper character expansion
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
Ben Levenson
: Security
Depends On: 234635 276971 276981 276991 277001 277011 277021 293881 293901 293911 293921 737815 738007 833976
Blocks: 733120
  Show dependency treegraph
Reported: 2007-03-30 14:23 EDT by Josh Bressers
Modified: 2012-06-20 10:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 11:47:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for kjs (1.31 KB, patch)
2007-03-30 14:29 EDT, Josh Bressers
no flags Details | Diff
Patch for QT 3 (2.61 KB, patch)
2007-03-30 14:30 EDT, Josh Bressers
no flags Details | Diff
Patch for QT4 (5.05 KB, patch)
2007-03-30 14:32 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2007-03-30 14:23:22 EDT
Andreas Nolden reported a flaw in the QT expands certain UTF8 characters.  This
could lead to a XSS attack withing konqueror.  There is also potential for this
flaw to affect other QT applications that attempt to sanitize user supplied
data.  The example supplied by the KDE security team would be the ability to
inject /../ characters into a filename.
Comment 1 Josh Bressers 2007-03-30 14:27:10 EDT
This flaw also affects RHEL 2.1, 3, 4, and 5
Comment 3 Josh Bressers 2007-03-30 14:29:07 EDT
Created attachment 151307 [details]
Patch for kjs
Comment 4 Josh Bressers 2007-03-30 14:30:29 EDT
Created attachment 151310 [details]
Patch for QT 3
Comment 5 Josh Bressers 2007-03-30 14:32:04 EDT
Created attachment 151312 [details]
Patch for QT4
Comment 18 Mark J. Cox (Product Security) 2007-06-11 04:08:11 EDT
Hi Than, another ping about RHEL2.1 packages.
Comment 21 Mark J. Cox (Product Security) 2007-08-21 10:30:12 EDT
moving to top level security response bug, no point it having all the acks and
flag; we do this now using separate tracking bugs.
Comment 28 Red Hat Product Security 2008-01-15 11:47:45 EST
This issue was addressed in:

Red Hat Enterprise Linux:

  qt packages contain backported patch
  qt4 packages updated to latest upstream version

Comment 30 errata-xmlrpc 2011-09-21 13:54:51 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1324 https://rhn.redhat.com/errata/RHSA-2011-1324.html

Note You need to log in before you can comment on or make changes to this bug.